#ifndef _EGL_INTERFACE_H_
#define _EGL_INTERFACE_H_

#include "EGLTypes.h"

class EGLInterface {

   public: 
     
     static void initEGL();
     static void shutdownEGL(EGL_STATE_T *descriptor);

     static void createEGLContext(EGL_STATE_T *descriptor);
     static void freeEGLContext(EGL_STATE_T *descriptor);

     static void setUpEGLBuffer (EGL_STATE_T *descriptor);
     static void resizeEGLBuffer(EGL_STATE_T *descriptor);
     static void releaseEGLBuffer(EGL_STATE_T *descriptor);
};


#endif 
