#ifndef APP_MODEL_H
#define APP_MODEL_H
#include <gtkmm/adjustment.h>
#include <gtkmm.h>   //   for Glib::RefPtr

class ApplicationModel {
	 public:
	    ApplicationModel(Glib::RefPtr<Gtk::Application> a);
	    
	    double getZoomValue();
	    double getAngle();
	    Glib::RefPtr<Gtk::Adjustment> getAdjustmentScale();
	    Glib::RefPtr<Gtk::Adjustment> getAdjustmentAngle();
	   private:
	    Glib::RefPtr<Gtk::Application> app;
	    Glib::RefPtr<Gtk::Adjustment> adjustmentScale;  
	    Glib::RefPtr<Gtk::Adjustment> adjustmentAngle; 
};

#endif
