#ifndef _EGL_TYPES_H_
#define _EGL_TYPES_H_

#include <EGL/egl.h>
#include "GLES2/gl2.h"


typedef struct
{
   uint32_t screen_width;
   uint32_t screen_height;
   uint32_t image_width;
// OpenGL|ES objects
   EGLConfig config;
   EGLDisplay display;
   EGLSurface surface;
   EGLContext context;
   EGLBoolean hasDisplay;
// Shader und Programme
   EGLBoolean hasShader;
   GLuint verbose;
   GLuint vertexShader;
   GLuint fragmentShader;
   GLuint program;
} EGL_STATE_T;

#endif 
